Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226389 - Merge Review: sane-frontends
Summary: Merge Review: sane-frontends
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:54 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-26 17:36 UTC (History)
1 user (show)

Fixed In Version: sane-frontends-1.0.14-10.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 17:36:22 UTC
nphilipp: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:54:41 UTC
Fedora Merge Review: sane-frontends

http://cvs.fedora.redhat.com/viewcvs/devel/sane-frontends/
Initial Owner: nphilipp@redhat.com

Comment 1 Parag AN(पराग) 2007-02-26 11:27:32 UTC
Got following rpmlint output

E: sane-frontends file-in-usr-marked-as-conffile /usr/share/sane/sane-style.rc
A file in /usr is marked as being a configuration file.
Store your conf files in /etc/ instead.

W: sane-frontends unversioned-explicit-obsoletes sane
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

W: sane-frontends unversioned-explicit-provides sane
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause
update problems and will make versioned dependencies, obsoletions and conflicts
on the provided thing useless -- make the Provides versioned if possible.

E: sane-frontends configure-without-libdir-spec
A configure script is run without specifying the libdir. configure
options must be augmented with something like --libdir=%{_libdir}.

Description is included along with warnings. 

Comment 2 Parag AN(पराग) 2007-03-30 16:38:16 UTC
any updates here also?

Comment 3 Parag AN(पराग) 2007-04-10 10:20:26 UTC
No Response from maintainer

Comment 4 Nils Philippsen 2007-04-24 11:45:50 UTC
I'm currently building sane-frontends-1.0.14-3.fc7 which should fix the problems
found by rpmlint, please check.

Comment 5 Nils Philippsen 2010-02-26 15:42:54 UTC
http://cvs.fedoraproject.org/viewcvs/devel/sane-frontends/

This has been lying around for too long already, I'll do the review myself.

Comment 6 Nils Philippsen 2010-02-26 16:22:44 UTC
- PASS: rpmlint

sane-frontends.src: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
sane-frontends.src: W: spelling-error %description -l en_US scanadf -> scandal, scanned, scandium
sane-frontends.src: W: spelling-error %description -l en_US xcam -> cam, scam, x cam
sane-frontends.x86_64: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

  "frontend" is a usual form of spelling this term, "scanadf" and "xcam" are names of binaries

- GOOD: package is named according to Package Naming Guidelines
- GOOD: spec file named correctly
- GOOD: package meets Packaging Guidelines
- GOOD: licensed with approved license and meets Licensing Guidelines
- GOOD: license field matches actual license
- BAD: license text not contained as documentation
- GOOD: spec file written in American English
- GOOD: spec file is legible
- GOOD: source matches upstream
- GOOD: package already build multiple times in koji
- GOOD: all build dependencies listed
- N/A: no locale files included
- N/A: no libraries in system paths included
- GOOD: does not bundle copies of system libraries
- N/A: not relocatable
- BAD: does not own all directories it creates:

  /usr/share/sane/sane-style.rc

- GOOD: no duplicate file listings
- GOOD: file permissions set properly
- GOOD: has %clean
- BAD: inconsistently uses $RPM_BUILD_ROOT, %buildroot
- GOOD: contains code
- N/A: no large documentation
- GOOD: %doc doesn't affect runtime
- N/A: no header files
- N/A: no static libs
- N/A: no pkgconfig files
- N/A: no library files
- N/A: no devel package
- N/A: no libtool archives
- BAD: no desktop files for GUIish xcam program, no explanation either
- GOOD: doesn't own files of other packages
- GOOD: removes buildroot in %install
- GOOD: all file names valid UTF-8

--> recommendations:
1. add license file COPYING to %doc, consider adding AUTHORS, README as well
2. don't distribute /usr/share/sane/sane-style.rc since it's only used by xscanimage (which we don't ship)
3. use either %buildroot or $RPM_BUILD_ROOT consistently
4. explain why xcam has no desktop file

Comment 7 Nils Philippsen 2010-02-26 17:36:22 UTC
fixed in sane-frontends-1.0.14-10.fc14, approved


Note You need to log in before you can comment on or make changes to this bug.